# Generated by go2rpm 1.3
%bcond_without check

# https://github.com/slackhq/nebula
%global goipath         github.com/slackhq/nebula
%global forgeurl        https://github.com/slackhq/nebula
Version:                1.6.0

%gometa

%global common_description %{expand:
A scalable overlay networking tool with a focus on performance, simplicity and
security.}

%global golicenses      LICENSE
%global godocs          examples CHANGELOG.md AUTHORS README.md\\\
                        cert/README.md

Name:           nebula
Release:        1%{?dist}
Summary:        A scalable overlay networking tool with a focus on performance, simplicity and security

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/anmitsu/go-shlex)
BuildRequires:  golang(github.com/armon/go-radix)
BuildRequires:  golang(github.com/cyberdelia/go-metrics-graphite)
BuildRequires:  golang(github.com/flynn/noise)
BuildRequires:  golang(github.com/gogo/protobuf/proto)
BuildRequires:  golang(github.com/golang/protobuf/proto)
BuildRequires:  golang(github.com/imdario/mergo)
BuildRequires:  golang(github.com/kardianos/service)
BuildRequires:  golang(github.com/miekg/dns)
BuildRequires:  golang(github.com/nbrownus/go-metrics-prometheus)
BuildRequires:  golang(github.com/prometheus/client_golang/prometheus)
BuildRequires:  golang(github.com/prometheus/client_golang/prometheus/promhttp)
BuildRequires:  golang(github.com/rcrowley/go-metrics)
BuildRequires:  golang(github.com/sirupsen/logrus)
BuildRequires:  golang(github.com/skip2/go-qrcode)
BuildRequires:  golang(github.com/stretchr/testify/assert)
BuildRequires:  golang(github.com/vishvananda/netlink)
BuildRequires:  golang(golang.org/x/crypto/curve25519)
BuildRequires:  golang(golang.org/x/crypto/ed25519)
BuildRequires:  golang(golang.org/x/crypto/ssh)
BuildRequires:  golang(golang.org/x/crypto/ssh/terminal)
BuildRequires:  golang(golang.org/x/net/ipv4)
BuildRequires:  golang(golang.org/x/sys/unix)
BuildRequires:  golang(google.golang.org/protobuf/reflect/protoreflect)
BuildRequires:  golang(google.golang.org/protobuf/runtime/protoimpl)
BuildRequires:  golang(gopkg.in/yaml.v2)

BuildRequires:     sed
BuildRequires:     systemd
Requires(post):    systemd
Requires(preun):   systemd
Requires(postun):  systemd

%description
%{common_description}

%gopkg

%prep
%goprep
sed -i -e '/^StandardOutput/d' ./dist/arch/nebula.service
sed -i -e '/^StandardError/d' ./dist/arch/nebula.service

%build
export LDFLAGS="-X main.Build=%{version} $(LDFLAGS)"
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/nebula %{buildroot}%{_bindir}/nebula
install -m 0755 -vp %{gobuilddir}/bin/nebula-cert %{buildroot}%{_bindir}/nebula-cert

install -p -D -m 0644 ./dist/arch/nebula.service \
    %{buildroot}%{_unitdir}/nebula.service
install -p -d -m 0755 %{buildroot}%{_sysconfdir}/systemd/system/nebula.service.d
install -p -d -m 0755 %{buildroot}%{_unitdir}/nebula.service.d

install -p -d -m 0750 %{buildroot}%{_sysconfdir}/nebula/
install -p -m 0640 ./examples/config.yml \
    %{buildroot}%{_sysconfdir}/nebula

%if %{with check}
%check
%gocheck
%endif

%post
%systemd_post nebula.service

%preun
%systemd_preun nebula.service

%postun
%systemd_postun_with_restart nebula.service

%files
%license LICENSE
%doc examples CHANGELOG.md AUTHORS README.md
%{_bindir}/nebula
%{_bindir}/nebula-cert
%dir %{_sysconfdir}/systemd/system/nebula.service.d
%dir %{_unitdir}/nebula.service.d
%{_unitdir}/nebula.service
%dir %{_sysconfdir}/nebula
%config(noreplace) %{_sysconfdir}/nebula/config.yml

%gopkgfiles

%changelog
* Wed Dec 15 11:36:01 CDT 2021 Joe Doss <joe@solidadmin.com> - 1.5.2-1
- Update to 1.5.2

* Fri Nov 26 9:44:01 CDT 2021 Joe Doss <joe@solidadmin.com> - 1.5.0-1
- Update to 1.5.0

* Fri Jul 16 21:47:19 CDT 2021 Joe Doss <joe@solidadmin.com> - 1.4.0-1
- Update to 1.4.0

* Wed Mar 17 13:46:38 CDT 2021 Joe Doss <joe@solidadmin.com> - 1.3.0-1
- Initial package
